Page MenuHomePhabricator

Deploy TemplateStyles to the English Wikipedia on 2018-07-19
Closed, ResolvedPublic

Description

An RFC has been closed with consensus to implement TemplateStyles on the English Wikipedia as soon as RemexHTML is enabled.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
Resolved Jdlrobson
DuplicateNone
DuplicateNone
OpenNone
OpenNone
StalledNone
InvalidNone
OpenNone
OpenNone
ResolvedTheDJ
ResolvedTheDJ
InvalidNone
OpenNone
ResolvedTheDJ
OpenNone
Resolved Jdlrobson
Open Jdlrobson
Open Jdlrobson
ResolvedTgr
ResolvedTgr

Event Timeline

Jc86035 created this task.Jun 18 2018, 2:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 18 2018, 2:13 PM
Jc86035 renamed this task from Deploy TemplateStyles to enwiki to Deploy TemplateStyles to the English Wikipedia.Jun 18 2018, 2:16 PM
Jc86035 added subscribers: CKoerner_WMF, Deskana.
Deskana changed the task status from Open to Stalled.Jun 18 2018, 3:03 PM

As noted, cannot be completed until RemexHtml is enabled.

Tgr added a subscriber: Tgr.Jun 18 2018, 3:12 PM

@Deskana, that would be bug T175706 right? So assuming everything proceeds as planned on July 5th, what would the timeline be for enabling TemplateStyles?

@Deskana, that would be bug T175706 right? So assuming everything proceeds as planned on July 5th, what would the timeline be for enabling TemplateStyles?

If RemexHtml gets switched on as planned on 5th July, maybe wait a couple of weeks to see if any issues come up with that, then deploy TemplateStyles around 19th July? This is just my estimate; I'm not making any commitments in case some bad unknown thing happens.

Deskana triaged this task as Normal priority.Jun 25 2018, 2:02 PM
Vvjjkkii renamed this task from Deploy TemplateStyles to the English Wikipedia to cqaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
AfroThundr3007730 renamed this task from cqaaaaaaaa to Deploy TemplateStyles to the English Wikipedia.Jul 1 2018, 4:55 AM
AfroThundr3007730 changed the task status from Open to Stalled.
AfroThundr3007730 lowered the priority of this task from High to Normal.
AfroThundr3007730 updated the task description. (Show Details)
AfroThundr3007730 added a subscriber: Aklapper.
Jc86035 changed the task status from Stalled to Open.Jul 6 2018, 3:35 PM

RemexHTML has now been enabled.

Thanks, @Jc86035 !

@Deskana
Now that RemexHTML has been enabled on English Wikipedia, what is the plan for deploying TemplateStyles there?

@Deskana
Now that RemexHTML has been enabled on English Wikipedia, what is the plan for deploying TemplateStyles there?

If RemexHtml gets switched on as planned on 5th July, maybe wait a couple of weeks to see if any issues come up with that, then deploy TemplateStyles around 19th July? This is just my estimate; I'm not making any commitments in case some bad unknown thing happens.

I'm assuming this still stands. No point in jumping in head first until the dust settles, I suppose. I'll just be over here patiently waiting...

Now that RemexHTML has been enabled on English Wikipedia, what is the plan for deploying TemplateStyles there?

Remex was deployed as planned on 5th July, so I think we can stick to the original timeline of doing this around 19th July. I'll be at Wikimania and won't be around, but I'm not needed for actual deployments. Perhaps @Tgr will be around to help?

Tgr added a comment.Jul 9 2018, 11:18 AM

I'll be at the hackathon so probably won't be hard to find time for this.

Change 444567 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable TemplateStyles on enwiki

https://gerrit.wikimedia.org/r/444567

Tgr claimed this task.Jul 9 2018, 11:23 AM
1997kB added a subscriber: 1997kB.Jul 17 2018, 10:26 AM

@Pcoombe Do you see any issues with deploying TemplateStyles to English Wikipedia on 2018-07-19? Thanks!

@ggellerman I don't see any potential issues from a fundraising/CentralNotice perspective.

And with my volunteer hat on, I'm excited to see this happen! :)

@Pcoombe Great and thank you!

Deskana moved this task from Up next to Doing on the TemplateStyles board.Jul 18 2018, 2:12 PM
Deskana renamed this task from Deploy TemplateStyles to the English Wikipedia to Deploy TemplateStyles to the English Wikipedia on 2018-07-19.Jul 19 2018, 9:43 AM
Deskana awarded a token.

Change 444567 merged by Gergő Tisza:
[operations/mediawiki-config@master] Enable TemplateStyles on enwiki

https://gerrit.wikimedia.org/r/444567

Mentioned in SAL (#wikimedia-operations) [2018-07-19T11:18:43Z] <tgr@deploy1001> Synchronized wmf-config/InitialiseSettings.php: enable TemplateStyles on enwiki, frwiki, zhwiki T197603 T191452 T189022 (duration: 00m 55s)

Tgr closed this task as Resolved.Jul 19 2018, 11:32 AM
Deskana moved this task from Doing to Done on the TemplateStyles board.Jul 19 2018, 11:37 AM